//+------------------------------------------------------------------+
//|                                                    FIBTunnel.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Yellow
#property indicator_color2 White
#property indicator_color3 Aqua
#property indicator_color4 Aqua
#property indicator_color5 Aqua
#property indicator_color6 Magenta
#property indicator_color7 Magenta
#property indicator_color8 Magenta
extern int MAPeriod = 288;
extern int PeriodMode =  0; //0=simple ma, 1=ema, 2=smoothed ma, 3=lwma.
extern int AppliedPrice =  4; //0=close price, 1=open price, 2=high price, 3=low price, 4=median price, 5=rypical price, 6=weighted close price.
extern int Fibo_plus_1 = 25;
extern int Fibo_plus_2 = 34;
extern int Fibo_plus_3 = 55;
extern int Fibo_minus_1 = 25;
extern int Fibo_minus_2 = 34;
extern int Fibo_minus_3 = 55;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
double ExtMapBuffer8[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,ExtMapBuffer8);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
  //---- check for possible errors
   if(counted_bars<0) return(-1);
  //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
        //---- ma_shift set to 0 because SetIndexShift called abowe
         ExtMapBuffer2[i]=iMA(NULL,0,MAPeriod,0,PeriodMode,AppliedPrice,i);
         
            //21, 34 and 55 FIB for 15 min and 5 minute
            ExtMapBuffer3[i]=ExtMapBuffer2[i]+Fibo_plus_1*Point;
            ExtMapBuffer4[i]=ExtMapBuffer2[i]+Fibo_plus_2*Point;
            ExtMapBuffer5[i]=ExtMapBuffer2[i]+Fibo_plus_3*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer2[i]-Fibo_minus_1*Point;
            ExtMapBuffer7[i]=ExtMapBuffer2[i]-Fibo_minus_2*Point;
            ExtMapBuffer8[i]=ExtMapBuffer2[i]-Fibo_minus_3*Point;
       }
       

   return(0);
  }
//+------------------------------------------------------------------+